%define upstream_name    YAML-LibYAML
%define upstream_version 0.41

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    An XS Wrapper Module of libyaml
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/YAML/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     YAML-LibYAML-0.35-format-error.patch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl-devel
%description
Kirill Siminov's 'libyaml' is arguably the best YAML implementation. The C
library is written precisely to the YAML 1.1 specification. It was
originally bound to Python and was later bound to Ruby.

This module is a Perl XS binding to libyaml which offers Perl the best YAML
support to date.

This module exports the functions 'Dump' and 'Load'. These functions are
intended to work exactly like 'YAML.pm''s corresponding functions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1 -b .format-error

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.410.0-2.mga4
+ Revision: 525999
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 0.410.0-1.mga4
+ Revision: 435136
- update to 0.41

* Wed May 29 2013 jquelin <jquelin> 0.380.0-4.mga4
+ Revision: 431017
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.380.0-3.mga3
+ Revision: 375305
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.380.0-2.mga3
+ Revision: 251354
- rebuild for perl 5.16

* Thu Jan 05 2012 jquelin <jquelin> 0.380.0-1.mga2
+ Revision: 191350
- update to 0.38

* Thu Oct 13 2011 jquelin <jquelin> 0.370.0-1.mga2
+ Revision: 154512
- update to 0.37

* Sun Jun 12 2011 sander85 <sander85> 0.350.0-2.mga2
+ Revision: 105151
- Rebuild for perl 5.14

* Fri Apr 08 2011 jquelin <jquelin> 0.350.0-1.mga1
+ Revision: 82078
- update to 0.35

* Sat Jan 22 2011 jquelin <jquelin> 0.340.0-1.mga1
+ Revision: 31507
- mageia rebuild
- imported package perl-YAML-LibYAML

